Stefan Hansch Stefan Hansch - 7 days ago 4
Ruby Question

after bundle install error kernel_require.rb:55:in `require': cannot load such file -- bundler (LoadError)

On remote server I downloaded project. In root directory project run bundle install. Display error:

/usr/local/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- bundler (LoadError)
from /usr/local/lib/ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in `require'
from /usr/bin/bundle:7:in `<main>'


I check current ruby version. is

ruby -v
ruby 2.3.1p112 (2016-04-26 revision 54768) [x86_64-linux]


I dont undestand why this error. But think, its becose i removed rvm from machine and manual installed ruby 2.3.1 without ruby manager. Help please. Thank you.

Answer

Perhaps, you missed install gem bundler, try to install it first:

gem install bundler

then run bundle install again